[realview] add qemu target
[openwrt/svn-archive/archive.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_4_3_5 if (avr32 || powerpc64)
6 default GCC_VERSION_4_3_5 if (TARGET_coldfire || TARGET_etrax || TARGET_gemini)
7 default GCC_VERSION_4_3_3_CS if (arm || armeb) && !(TARGET_gemini || TARGET_omap35xx)
8 default GCC_VERSION_4_3_3_CS if (mips || mipsel) && !(TARGET_octeon || TARGET_sibyte)
9 default GCC_VERSION_4_4_5 if (powerpc || ubicom32)
10 default GCC_VERSION_4_4_5 if (TARGET_omap35xx || TARGET_octeon || TARGET_sibyte)
11 default GCC_VERSION_4_1_2
12 help
13 Select the version of gcc you wish to use.
14
15 config GCC_VERSION_4_1_2
16 bool "gcc 4.1.2"
17
18 config GCC_VERSION_4_2_4
19 bool "gcc 4.2.4"
20
21 config GCC_VERSION_4_3_5
22 bool "gcc 4.3.5"
23
24 config GCC_VERSION_4_4_5
25 bool "gcc 4.4.5"
26
27 config GCC_VERSION_4_5_1
28 bool "gcc 4.5.1"
29
30 config GCC_VERSION_4_5_1_LINARO
31 bool "gcc 4.5.1 with Linaro enhancements"
32
33 config GCC_VERSION_LLVM
34 bool "llvm-gcc 4.2"
35 depends BROKEN
36
37 config GCC_VERSION_4_3_3_CS
38 bool "gcc 4.3.3 with CodeSourcery enhancements"
39
40 config GCC_VERSION_4_4_1_CS
41 bool "gcc 4.4.1 with CodeSourcery enhancements"
42
43 endchoice
44
45 config GCC_USE_GRAPHITE
46 bool
47 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
48 depends GCC_VERSION_4_4 || GCC_VERSION_4_5
49
50 config GCC_USE_SYSTEM_PPL_CLOOG
51 bool
52 prompt "Use the system versions of PPL and CLooG"
53 depends GCC_USE_GRAPHITE
54 default n
55
56 config EXTRA_GCC_CONFIG_OPTIONS
57 string
58 prompt "Additional gcc configure options" if TOOLCHAINOPTS
59 default ""
60 help
61 Any additional gcc options you may want to include....
62
63 config SSP_SUPPORT
64 bool
65 prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
66 default n
67 help
68 Enable Stack-Smashing Protection support
69
70 config TLS_SUPPORT
71 bool
72 depends UCLIBC_VERSION_NPTL
73 prompt "Enable Thread-local storage (TLS) support" if TOOLCHAINOPTS
74 default n
75 help
76 Enable Thread-local storage support
77
78 config INSTALL_LIBSTDCPP
79 bool
80 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
81 default y
82 help
83 Build/install c++ compiler and libstdc++?
84
85 config INSTALL_LIBGCJ
86 bool
87 depends on !(GCC_VERSION_4_1||GCC_VERSION_4_2)
88 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
89 default n
90 help
91 Build/install java compiler and GNU classpath ?